package com.xxl.job.executor.batch.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xxl.job.executor.batch.entity.KuaishouOperationRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface KuaishouOperationRecordMapper extends BaseMapper<KuaishouOperationRecord> {

    void deleteOperationRecordInfoAccount(@Param("record") KuaishouOperationRecord record);

    void insertOperationRecordInfoAccount(@Param("records") List<KuaishouOperationRecord> records);

    void deleteOperationRecordInfoCampaign(@Param("record") KuaishouOperationRecord record);

    void insertOperationRecordInfoCampaign(@Param("records") List<KuaishouOperationRecord> records);

    void deleteOperationRecordInfoUnit(@Param("record") KuaishouOperationRecord record);

    void insertOperationRecordInfoUnit(@Param("records") List<KuaishouOperationRecord> records);

    void deleteOperationRecordInfoCreative(@Param("record") KuaishouOperationRecord record);

    void insertOperationRecordInfoCreative(@Param("records") List<KuaishouOperationRecord> records);

    void deleteOperationRecordInfoVideo(@Param("record") KuaishouOperationRecord record);

    void insertOperationRecordInfoVideo(@Param("records") List<KuaishouOperationRecord> records);

    void deleteOperationRecordInfoApp(@Param("record") KuaishouOperationRecord record);

    void insertOperationRecordInfoApp(@Param("records") List<KuaishouOperationRecord> records);

    void deleteOperationRecordInfoPackage(@Param("record") KuaishouOperationRecord record);

    void insertOperationRecordInfoPackage(@Param("records") List<KuaishouOperationRecord> records);

}
